<?php

namespace App\Domain\Scraping\Domain\Event;

class ChapterScrapingStarted
{
    public function __construct(
        private readonly string $mangaTitle,
        private readonly float $chapterNumber,
    ) {
    }

    public function getMangaTitle(): string
    {
        return $this->mangaTitle;
    }

    public function getChapterNumber(): float
    {
        return $this->chapterNumber;
    }
}
